> For the complete documentation index, see [llms.txt](https://docs.getblock.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getblock.io/api-reference/fuse-network-fuse/fuse_eth_getunclebyblockhashandindex.md).

# eth\_getUncleByBlockHashAndIndex - Fuse Network

Example code for the eth\_getUncleByBlockHashAndIndex json-rpc method. Сomplete guide on how to use eth\_getUncleByBlockHashAndIndex json-rpc in GetBlock.io Web3 documentation.

#### Parameters

`DATA` - string

Hash of a block.

`QUANTITY` - string

the uncle’s index position.

#### Request

```java
curl --location --request POST 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{"jsonrpc": "2.0",
"method": "eth_getUncleByBlockHashAndIndex",
"params": ["0x21056b00f69c1d8f9e0caf94914efe3119cb1668163a9e432c01a9f900e37249", "0x0"],
"id": "getblock.io"}'
```

#### Response

```java
{
    "id": "getblock.io",
    "jsonrpc": "2.0",
    "result": null
}
```
